Bug 7319 - build fails in lib/nss_wrapper/testsuite.c
build fails in lib/nss_wrapper/testsuite.c
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
x64 Solaris
: P3 normal
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 15:34 UTC by Bernd Markgraf
Modified: 2013-02-18 13:31 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Markgraf 2010-04-01 15:34:40 UTC
torture/../../lib/nss_wrapper/testsuite.c: In function `test_nwrap_enum_r_passwd':
torture/../../lib/nss_wrapper/testsuite.c:336: error: too many arguments to function `getpwent_r'
torture/../../lib/nss_wrapper/testsuite.c: In function `test_nwrap_enum_r_group':
torture/../../lib/nss_wrapper/testsuite.c:518: error: too many arguments to function `getgrent_r'

on solaris getpwent_r and getgrent_r only take 3 arguments:
struct group *getgrent_r(struct group *grp, char *buffer, int bufsize);
struct passwd *getpwent_r(struct passwd *pwd, char *buffer,   int buflen);

on solaris line 336 should be:
pwdp = getpwent_r(&pwd, buffer, sizeof(buffer));

and line 518:
grpp = getgrent_r(&grp, buffer, sizeof(buffer));
Comment 1 Matthias Dieter Wallnöfer 2010-04-06 05:05:32 UTC
Tridge, please fix them when you are able to do so.
Comment 2 Matthias Dieter Wallnöfer 2010-05-03 10:32:35 UTC
Do you face the problems also on the new WAF-based buildsystem? Since the old autoconf-based system will not be maintained anymore.
Comment 3 Matthias Dieter Wallnöfer 2010-05-30 04:15:38 UTC
This should be fixed now. The problem was when you didn't compile this with the NSS wrapper headers the build used the system headers.